Cgu::Thread::TaskManagerHelper::FunctorResultExec< Ret, FType > Class Template Reference

`#include <task_manager.h>`

Inheritance diagram for Cgu::Thread::TaskManagerHelper::FunctorResultExec< Ret, FType >:

## Public Member Functions

void | dispatch () const
template<class FunctorArg >
| FunctorResultExec (FunctorArg &&functor_, const SharedLockPtr< AsyncResult< Ret >> &ret_)
Public Member Functions inherited from Cgu::Callback::CallbackArg< FreeArgs >
virtual void | dispatch (typename Cgu::Param< FreeArgs >::ParamType...args) const =0
| CallbackArg ()
virtual | ~CallbackArg ()

## Constructor & Destructor Documentation

template<class Ret , class FType >
template<class FunctorArg >

Cgu::Thread::TaskManagerHelper::FunctorResultExec< Ret, FType >::FunctorResultExec | ( | FunctorArg && | functor_,
|  | const SharedLockPtr< AsyncResult< Ret >> & | ret_
| ) |  |

inline

## Member Function Documentation

template<class Ret , class FType >

void Cgu::Thread::TaskManagerHelper::FunctorResultExec< Ret, FType >::dispatch | ( | ) |  | const

inline

The documentation for this class was generated from the following file:

- task_manager.h